Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-43481

Cleanup: delete all unnecessary legacy password hashing code

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.7
    • Fix Version/s: 2.7
    • Component/s: Libraries
    • Labels:
    • Testing Instructions:
      Hide
      1. run phpunit tests
      2. run behat tests
      3. install 2.4 and try upgrade to master - verify admin can login after upgrade
      4. install master - verify users uploaded via CSV may login
      5. create a new user in master and verify they may login
      Show
      run phpunit tests run behat tests install 2.4 and try upgrade to master - verify admin can login after upgrade install master - verify users uploaded via CSV may login create a new user in master and verify they may login
    • Affected Branches:
      MOODLE_27_STABLE
    • Fixed Branches:
      MOODLE_27_STABLE
    • Pull from Repository:
    • Pull Master Branch:
      w01_MDL-43481_m27_passwords
    • Story Points (Obsolete):
      3
    • Sprint:
      BACKEND Sprint 8

      Description

      In 2.7 we require PHP 5.4 which should not have any problems with new hashing, let's cleanup the code a bit now...

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Votes:
                  0 Vote for this issue
                  Watchers:
                  5 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:
                    Fix Release Date:
                    12/May/14